LASTD(3NCARG)

NAME
LASTD - Terminates a sequence of calls to draw a curve (a call to FRSTD followed by one or more calls to VECTD).

SYNOPSIS
CALL LASTD

C-BINDING SYNOPSIS
#include <ncarg/ncargC.h>

void c_lastd()

USAGE
A sequence of calls to draw a curve (a call to FRSTD followed by one or more calls to VECTD) may be followed by a call to LASTD. It flushes any portions of smoothed curves that are defined by coordinates saved in internal buffers of FRSTD and VECTD and that have not yet been drawn. Calls to LASTD are not always required - for example, when a non-smoothing version of Dashline is used (no buffering) or when the next call to an NCAR Graphics routine will be to FRSTD (which flushes the buffers) - but unnecessary calls do no harm. If you judge that one of the smoothing versions of Dashline may be used, it is best to put in the calls to LASTD.

EXAMPLES
Use the ncargex command to see the following relevant examples: tdashp, tdashs.

ACCESS
To use LASTD or c_lastd, load the NCAR Graphics libraries ncarg, ncarg_gks, and ncarg_c, preferably in that order.

SEE ALSO
Online: dashline, dashline_params, curved, dashdb, dashdc, frstd, lastd, lined, reset, ncarg_cbind

Hardcopy: NCAR Graphics Contouring and Mapping Tutorial; NCAR Graphics Fundamentals, UNIX Version; User's Guide for NCAR GKS-0A Graphics

COPYRIGHT
Copyright (C) 1987-2009
University Corporation for Atmospheric Research
The use of this Software is governed by a License Agreement.